Deletes a post.
Quota impact: A call to this method has a quota cost of 1 unit. The cost counts against the Post Modifications and Image Uploads quota, which is separate from the default YouTube Data API quota.
Request
HTTP request
DELETE https://www.googleapis.com/youtube/v3/posts
Authorization
This request requires authorization with at least one of the following scopes (read more about authentication and authorization).
| Scope |
|---|
https://www.googleapis.com/auth/youtubepartner |
https://www.googleapis.com/auth/youtube |
https://www.googleapis.com/auth/youtube.force-ssl |
The authorized user must own the channel that published the post or have permission to delete its posts.
Parameters
The following table lists the parameters that this query supports. All of the parameters listed are query parameters.
| Parameters | |
|---|---|
| Required parameters | |
id |
stringThe id parameter specifies the YouTube post ID for the resource that is being deleted. |
Request body
Don't provide a request body when calling this method.
Response
If successful, this method returns an HTTP 200 response code (OK) with an empty JSON object in the response body.
Errors
The following table identifies error messages that the API could return in response to a call to this method. For more detail, see the error message documentation.
| Error type | Error detail | Description |
|---|---|---|
invalidValue (400) |
invalidMetadata |
The post ID is required. |
forbidden (403) |
forbidden |
Caller does not have permission to delete this post. |
notFound (404) |
postNotFound |
The specified post was not found. |